# lpq(1)

## Name

lpq - show printer queue status

## Synopsis

lpq [ -E ] [ -U username ] [ -h server[:port] ] [ -P destination[/instance] ] [ -a ] [ -l ] [ +interval ]

## Description

lpq shows the current print queue status on the named printer. Jobs queued on the default destination will be shown if no printer or class is specified on the command-line.

The +interval option allows you to continuously report the jobs in the queue until the queue is empty; the list of jobs is shown once every interval seconds.

## Options

lpq supports the following options:

-E
  Forces encryption when connecting to the server.
-P destination[/instance]
  Specifies an alternate printer or class name.
-U username
  Specifies an alternate username.
-a
  Reports jobs on all printers.
-h server[:port]
  Specifies an alternate server.
-l
  Requests a more verbose (long) reporting format.

## See Also

cancel(1), lp(1), lpr(1), lprm(1), lpstat(1), CUPS Online Help (http://localhost:631/help)

## Copyright

Copyright © 2021-2022 by OpenPrinting.